VMware View Client für Ubuntu -

da_fighter

New member
Hi, wir haben vor hier als Unterbau für den View Client für Ubuntu zu nehmen aber möchten nicht, dass die User das überhaupt bemerken. Gibts irgendeine Möglichkeit beim starten direkt den View Client zu starten ohne dass ein User Zugriff bekommen kann auf das darunterliegende System(also abgesehen von live cd etc)? besten gruss
 

bitmuncher

Moderator
Du könntest probieren, ob du ihn ggf. über ein Skript und das Init-System bzw. die inittab starten kannst.
 

da_fighter

New member
danke, das werd ich mal probieren. war mir nicht sicher ob es dann nicht trotzdem möglich ist mit str+alt F6 sich einzuloggen
 

bitmuncher

Moderator
In der inittab kannst du ja auch festlegen auf welchen TTY ein Login möglich ist. Einfach auf allen anderen TTY den Login ausschalten und schon kann man sich dort nicht mehr einloggen.
 

Serow

New member
Hi, dir ist klar, dass der open view client kein PCoIP unterstützt, oder? Greif am besten gleich zu der Version die auf der Software von diesem HP Thin Client basiert. Die kann auch PCoIP. Wobei bestimmt keine volle Unterstützung für das neue PCoIP da ist.
 

da_fighter

New member
so, ich komm irgendwie mit upstart(unter ubuntu gibts kein /etc/inittab mehr). mein vmware-view.conf ist in /etc/init, es hat description und author. dann hab ich verschiedenes probiert

Code:
start on lightdm
start on runlevel [5]
start on startup

stop on runlevel [06]
stop on runleven [!5]

exec /usr/bin/vmware-view
exec vmware-view

script
exec /usr/bin/vmware-view
end script
liegt es vll daran, dass ich es in vmware virtualisiert teste?
 

bitmuncher

Moderator
Ich vermute, dass du dann vmware-view aber über die xinitrc laden musst, sonst weiss der ja nicht welches Display er nutzen soll.
 

da_fighter

New member
ok...in xinitrc steht nur
Code:
#!/bin/sh

# /etc/X11/xinit/xinitrc
#
# global xinitrc file, used by all X sessions started by xinit (startx)

# invoke global X session script
. /etc/X11/Xsession

in der XSession steht:
Code:
#!/bin/sh
#
# /etc/X11/Xsession
#
# global Xsession file -- used by display managers and xinit (startx)

# $Id: Xsession 967 2005-12-27 07:20:55Z dnusinow $

set -e

PROGNAME=Xsession

message () {
  # pretty-print messages of arbitrary length; use xmessage if it
  # is available and $DISPLAY is set
  MESSAGE="$PROGNAME: $*"
  echo "$MESSAGE" | fold -s -w ${COLUMNS:-80} >&2
  if [ -n "$DISPLAY" ] && which xmessage > /dev/null 2>&1; then
    echo "$MESSAGE" | fold -s -w ${COLUMNS:-80} | xmessage -center -file -
  fi
}

message_nonl () {
  # pretty-print messages of arbitrary length (no trailing newline); use
  # xmessage if it is available and $DISPLAY is set
  MESSAGE="$PROGNAME: $*"
  echo -n "$MESSAGE" | fold -s -w ${COLUMNS:-80} >&2;
  if [ -n "$DISPLAY" ] && which xmessage > /dev/null 2>&1; then
    echo -n "$MESSAGE" | fold -s -w ${COLUMNS:-80} | xmessage -center -file -
  fi
}

errormsg () {
  # exit script with error
  message "$*"
  exit 1
}

internal_errormsg () {
  # exit script with error; essentially a "THIS SHOULD NEVER HAPPEN" message
  # One big call to message() for the sake of xmessage; if we had two then
  # the user would have dismissed the error we want reported before seeing the
  # request to report it.
  errormsg "$*" \
           "Please report the installed version of the \"x11-common\"" \
           "package and the complete text of this error message to" \
           "<debian-x@lists.debian.org>."
}

# initialize variables for use by all session scripts

OPTIONFILE=/etc/X11/Xsession.options

SYSRESOURCES=/etc/X11/Xresources
USRRESOURCES=$HOME/.Xresources

SYSSESSIONDIR=/etc/X11/Xsession.d
USERXSESSION=$HOME/.xsession
USERXSESSIONRC=$HOME/.xsessionrc
ALTUSERXSESSION=$HOME/.Xsession
ERRFILE=$HOME/.xsession-errors

# attempt to create an error file; abort if we cannot
if (umask 077 && touch "$ERRFILE") 2> /dev/null && [ -w "$ERRFILE" ] &&
  [ ! -L "$ERRFILE" ]; then
  chmod 600 "$ERRFILE"
elif ERRFILE=$(tempfile 2> /dev/null); then
  if ! ln -sf "$ERRFILE" "${TMPDIR:=/tmp}/xsession-$USER"; then
    message "warning: unable to symlink \"$TMPDIR/xsession-$USER\" to" \
             "\"$ERRFILE\"; look for session log/errors in" \
             "\"$TMPDIR/xsession-$USER\"."
  fi
else
  errormsg "unable to create X session log/error file; aborting."
fi

# truncate ERRFILE if it is too big to avoid disk usage DoS
if [ "`stat -c%s \"$ERRFILE\"`" -gt 500000 ]; then
  T=`mktemp -p "$HOME"`
  tail -c 500000 "$ERRFILE" > "$T" && mv -f "$T" "$ERRFILE" || rm -f "$T"
fi

exec >>"$ERRFILE" 2>&1

echo "$PROGNAME: X session started for $LOGNAME at $(date)"

# sanity check; is our session script directory present?
if [ ! -d "$SYSSESSIONDIR" ]; then
  errormsg "no \"$SYSSESSIONDIR\" directory found; aborting."
fi

# Attempt to create a file of non-zero length in /tmp; a full filesystem can
# cause mysterious X session failures.  We do not use touch, :, or test -w
# because they won't actually create a file with contents.  We also let standard
# error from tempfile and echo go to the error file to aid the user in
# determining what went wrong.
WRITE_TEST=$(tempfile)
if ! echo "*" >>"$WRITE_TEST"; then
  message "warning: unable to write to ${WRITE_TEST%/*}; X session may exit" \
          "with an error"
fi
rm -f "$WRITE_TEST"

# use run-parts to source every file in the session directory; we source
# instead of executing so that the variables and functions defined above
# are available to the scripts, and so that they can pass variables to each
# other
SESSIONFILES=$(run-parts --list $SYSSESSIONDIR)
if [ -n "$SESSIONFILES" ]; then
  set +e
  for SESSIONFILE in $SESSIONFILES; do
    . $SESSIONFILE
  done
  set -e
fi

exit 0

# vim:set ai et sts=2 sw=2 tw=80:

ich schätze mal es hat was mit den dateien in /etc/X11/Xsession.d zu tun?
 

bitmuncher

Moderator
Ich hab leider kein Ubuntu da um nachzusehen wie es dort gelöst ist. Bei Debian gibt es z.B. in /etc/X11/Xsession.d/ eine Datei '50x11_common_determine-startup ', in der ermittelt wird welche DM/WM verwendet werden soll. Dort müsste dann entsprechend der Viewer gestartet werden. Ggf. gibt's bei Ubuntu was vergleichbares.
 

da_fighter

New member
Wir haben das jetzt so gelöst, dass wir automatisch in OpenBox booten und sich dann per /etc/xdg/openbox/autostart.sh der view-client automatisch verbindet. Sämtliche Funktionen kann man ja per OpenBox ausschalten, wir lassen nur view-client und exit im Menu, die Tastenkürzel sind alle weg, im Grunde kommt man dann nur noch per Alt+FX an eine Shell. Kann man das noch irgendwie ausstellen?
 

Serow

New member
Ich schätze dazu musst du ein paar /etc/init/tty*.conf Files löschen. Ist aber vllt keine gute Idee, da du so selbst an kein Terminal mehr ran kommst.
 

da_fighter

New member
Jop, das hatte ich rausgefunden. Ich hab jetzt alle bis auf einen entfernt, genau das war nämlich auch mein Gedanke. Wobei ich aber iA über ssh noch reinkommen sollte. Aber wer weiss...
 
Oben